Summary:	GNU Line Editor
Summary(de.UTF-8):	GNU-Zeileneditor
Summary(es.UTF-8):	Editor de líneas de la GNU
Summary(fr.UTF-8):	Éditeur ligne de GNU
Summary(ja.UTF-8):	GNU ラインエディタ。
Summary(pl.UTF-8):	GNU edytor liniowy
Summary(pt_BR.UTF-8):	Editor de linhas da GNU
Summary(ru.UTF-8):	Строчный редактор GNU
Summary(tr.UTF-8):	GNU satır düzenleyici
Summary(uk.UTF-8):	Рядковий редактор GNU
Name:		ed
Version:	1.10
Release:	1
License:	GPL v3+
Group:		Applications/Editors
Source0:	http://ftp.gnu.org/gnu/ed/%{name}-%{version}.tar.lz
# Source0-md5:	d1e51bb6e78417af8fb12684c31fd9eb
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	13a5459ddffbd7f04aa3d67fce0d2134
Patch0:		%{name}-info.patch
Patch1:		%{name}-multilib.patch
URL:		http://www.gnu.org/software/ed/
BuildRequires:	help2man
BuildRequires:	lzip
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin

%description
This is the GNU line editor. It is an implementation of one of the
first editors under *nix. Some programs rely on it, but in general you
probably don't *need* it.

%description -l de.UTF-8
Dies ist der GNU-Zeileneditor, eine Implementierung einer der ersten
Editoren unter *nix. Manche Programme verlassen sich darauf, i.a.
*brauchen* Sie ihn wahrscheinlich nicht.

%description -l es.UTF-8
Este es GNU editor de línea. Es un soporte a uno de los primeros
editores para *nix. Algunos de los programas cuentan con él, pero de
manera general, es muy probable que no lo *necesites*.

%description -l fr.UTF-8
Éditeur ligne de GNU. C'est une implantation de l'un des premiers
éditeurs d'*nix. Certains programmes en ont besoin, mais en général,
vous n'en aurez probablement pas l'utilité.

%description -l ja.UTF-8
ed は行指向のテキストエディタで、( 対話的でもシェルスクリプト経由でも
) テキストファイルの生成、表示、修正に用いられます。主な目的としては、
フルスクリーンエディタ ( 例えば emacs や vi ) によってなされている
通常の利用に ed を置き換えてきたことです。

ed は初期の Unix エディタで、いろいろなプログラムに使われてきました。
しかし、一般には多分インストールする必要はなく、
多分使いこなすこともないでしょう。

%description -l pl.UTF-8
Ed jest GNU implementacją standardowego, pierwszego edytora
uniksowego. Część starszych programów może jeszcze z niego korzystać,
ale większość już prawdopodobnie go nie potrzebuje.

%description -l pt_BR.UTF-8
Este é o GNU editor de linha. É uma implementação de um dos primeiros
editores para *nix. Alguns programas contam com ele, mas no geral você
provavelmente não irá *precisar* dele.

%description -l uk.UTF-8
Ed - це рядково-орієнтований текстовий редактор, що використовується
для створення, показу та модифікації текстових файлів (як
інтерактивно, так і зі скриптів). Для більшості цілей ed був замінений
повноекранними редакторами (наприклад, joe, vi, emacs).

%description -l tr.UTF-8
Bu paket UN*X'in en eski metin düzenleyicilerinden birini
içermektedir. Bazı yazılımlar hala bu programa gereksinim
duymaktadırlar.

%description -l ru.UTF-8
Ed - это строчно-ориентированный текстовый редактор, используемый для
создания, показа и модификации текстовых файлов (как интерактивно, так
и при помощи скриптов). Для большинства целей ed был заменен
полноэкранными редакторами (например, joe, vi, emacs).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# force rebuild
%{__rm} doc/ed.info

%build
# not autoconf configure, but options compatible
%configure

%{__make} all doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.ed-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ed
%attr(755,root,root) %{_bindir}/red
%{_infodir}/ed.info*
%{_mandir}/man1/ed.1*
%{_mandir}/man1/red.1*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%changelog
* Tue Mar 04 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ed.git;a=log;h=master

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 440cb63
- updated to 1.10
- updated info patch

* Tue Jul 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 5ffc9c0
- updated to 1.9

* Thu Apr 25 2013 Kacper Kornet <draenog@pld-linux.org> 82ad1ef
- updated to 1.8
- add missing BR for help2man

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> dabe699
- updated to 1.7

* Wed Jan 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 762eae5
- updated to 1.6
- updated multilib patch

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 965feec
- dropped pre-cvs changelog

* Fri Sep 10 2010 Jakub Bogusz <qboosh@pld-linux.org> ed8d484
- updated to 1.5
- dropped autoconf patch, rely on rpm to convert man links

* Sat Jul 18 2009 Adam Gołębiowski <adamg@pld-linux.org> b602342
- updated to 1.4

* Sun May 24 2009 Adam Gołębiowski <adamg@pld-linux.org> 17e001f
- updated to 1.3

* Sun Feb 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 1872179
- updated to 1.2

* Tue Oct 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 0bf04f0
- updated to 1.1

* Mon Sep 01 2008 Paweł Gołaszewski <blues@pld-linux.org> 74134d0
- security note

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> bb6f50f
- updated to 1.0 [fixes: buffer overflow]
- updated autoconf patch

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 368398b
- updated for 1.0

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 57a9e82
- release 2

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 9db3c38
- unify ftp.gnu.org urls

* Tue Feb 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 707e22e
- updated to 0.9

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> e82b93d
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 17dc432
- updated to 0.8
- removed obsolete debian patch

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 6c91d76
- obsolete

